## org.eclipse.datatools.modelbase.sql.query
Class ValueExpressionCombinedOperator

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.ValueExpressionCombinedOperator

    public final class ValueExpressionCombinedOperator

extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Value Expression Combined Operator', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getValueExpressionCombinedOperator()`

Field Summary
`static int` `ADD` The 'ADD' literal value.
`static ValueExpressionCombinedOperator` `ADD_LITERAL` The 'ADD' literal object.
`static int` `CONCATENATE` The 'CONCATENATE' literal value.
`static ValueExpressionCombinedOperator` `CONCATENATE_LITERAL` The 'CONCATENATE' literal object.
`static int` `DIVIDE` The 'DIVIDE' literal value.
`static ValueExpressionCombinedOperator` `DIVIDE_LITERAL` The 'DIVIDE' literal object.
`static int` `MULTIPLY` The 'MULTIPLY' literal value.
`static ValueExpressionCombinedOperator` `MULTIPLY_LITERAL` The 'MULTIPLY' literal object.
`static int` `SUBTRACT` The 'SUBTRACT' literal value.
`static ValueExpressionCombinedOperator` `SUBTRACT_LITERAL` The 'SUBTRACT' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Value Expression Combined Operator' enumerators.

Method Summary
`static ValueExpressionCombinedOperator` `get(int value)` Returns the 'Value Expression Combined Operator' literal with the specified integer value.
`static ValueExpressionCombinedOperator` `get(java.lang.String literal)` Returns the 'Value Expression Combined Operator' literal with the specified literal value.
`static ValueExpressionCombinedOperator` `getByName(java.lang.String name)` Returns the 'Value Expression Combined Operator' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  The 'ADD' literal value.

  See Also:
    `ADD_LITERAL`, Constant Field Values

### SUBTRACT

    public static final int SUBTRACT

  The 'SUBTRACT' literal value.

  See Also:
    `SUBTRACT_LITERAL`, Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

  The 'MULTIPLY' literal value.

  See Also:
    `MULTIPLY_LITERAL`, Constant Field Values

### DIVIDE

    public static final int DIVIDE

  The 'DIVIDE' literal value.

  See Also:
    `DIVIDE_LITERAL`, Constant Field Values

### CONCATENATE

    public static final int CONCATENATE

  The 'CONCATENATE' literal value.

  See Also:
    `CONCATENATE_LITERAL`, Constant Field Values

### ADD_LITERAL

    public static final ValueExpressionCombinedOperator ADD_LITERAL

  The 'ADD' literal object.

  If the meaning of 'ADD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADD`

### SUBTRACT_LITERAL

    public static final ValueExpressionCombinedOperator SUBTRACT_LITERAL

  The 'SUBTRACT' literal object.

  If the meaning of 'SUBTRACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBTRACT`

### MULTIPLY_LITERAL

    public static final ValueExpressionCombinedOperator MULTIPLY_LITERAL

  The 'MULTIPLY' literal object.

  If the meaning of 'MULTIPLY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MULTIPLY`

### DIVIDE_LITERAL

    public static final ValueExpressionCombinedOperator DIVIDE_LITERAL

  The 'DIVIDE' literal object.

  If the meaning of 'DIVIDE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIVIDE`

### CONCATENATE_LITERAL

    public static final ValueExpressionCombinedOperator CONCATENATE_LITERAL

  The 'CONCATENATE' literal object.

  If the meaning of 'CONCATENATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONCATENATE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Value Expression Combined Operator' enumerators.

Method Detail

### get

    public static ValueExpressionCombinedOperator get(java.lang.String literal)

  Returns the 'Value Expression Combined Operator' literal with the specified literal value.

### getByName

    public static ValueExpressionCombinedOperator getByName(java.lang.String name)

  Returns the 'Value Expression Combined Operator' literal with the specified name.

### get

    public static ValueExpressionCombinedOperator get(int value)

  Returns the 'Value Expression Combined Operator' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.